package main

import (
	"log"
	"openquell/game"

	"github.com/hajimehoshi/ebiten/v2"
)

const (
	width  int = 640
	height int = 480
)

func main() {
	ebiten.SetWindowSize(width, height)
	ebiten.SetWindowTitle("openquell")

	g := game.NewGame(width, height, 0, game.Play)

	err := ebiten.RunGame(g)
	if err != nil {
		log.Fatalf("unable to run game: %s", err)
	}

}
